       open (unit=3,file='diff1.in',status='old')
       open (unit=4,file='diff2.in',status='old')
       open (unit=7,file='diff.out',status='unknown')
       do i=1,581
          read (3,*) adum,val1
          read (4,*) adum,val2
          write (7,*) adum,val1-val2
       end do
       close (unit=3)
       close (unit=4)
       close (unit=7)
   
